Subject: RE: PMP> [Process] Updates for IANA Printer MIB

From: "McDonald, Ira" <[email-masked]>
Date: Tue, 26 Jul 2005 10:27:31 -0700

Hi Bert,

Reading RFC 2434 (Guidelines for IANA Considerations), I concluded
that _before_ submitting a request to IANA, one should submit it
for discussion to the current/former working mailing list.

And since I committed an awful typo on that erroneous ASN.1 comment,
it was worth it.

I'll submit the change request to IANA in a few days after any
further comment on this mailing list settles.

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Blue Roof Music / High North Inc
PO Box 221  Grand Marais, MI  49839
phone: +1-906-494-2434
email: [email-masked]

> -----Original Message-----
> From: Wijnen, Bert (Bert) [mailto:[email-masked]]
> Sent: Tuesday, July 26, 2005 11:03 AM
> To: McDonald, Ira
> Cc: [email-masked]
> Subject: RE: PMP> Updates for IANA Printer MIB
> 
> 
> Ira, the process is that someone asks for new asignments
> and then IANA asks the experts top review.
> So maybe best is that you request the changes in an email
> to IANA and then Harry and I review and approve.
> In your request to IANA it may help if you tell them that
> Harry and I have recently been assigned as experts. 
> They should know, but... and extra hint never hurts.
> 
> Bert
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]]On Behalf 
> > Of McDonald,
> > Ira
> > Sent: Monday, July 25, 2005 18:03
> > To: [email-masked]'
> > Subject: PMP> Updates for IANA Printer MIB
> > 
> > 
> > Hi folks,                                          Monday (25 
> > July 2005)
> > 
> > Below are proposed updates for missing 'out-of-band' values to three
> > textual conventions defined in the IANA-PRINTER-MIB.  These missing
> > 'unknown(2)' values were technical errors in Printer MIB v1 
> (RFC 1759)
> > and Printer MIB v2 (RFC 3805).
> > 
> > These updates will allow the new Printer Port Monitor MIB to use a
> > syntax of PrtChannelTypeTC for the ppmPortProtocolType object (as
> > recently requested by Bert Wijnen).  These updates should 
> also improve
> > interoperability among Printer MIB implementations (they are all the
> > appropriate default values).
> > 
> > After review, these additions should be sent to IANA for 
> registration
> > in the IANA-PRINTER-MIB by our Designated Experts, Bert 
> > Wijnen and Harry
> > Lewis.
> > 
> > Comments?
> > 
> > Cheers,
> > - Ira (co-editor of Printer MIB v2)
> > 
> > 
> > Ira McDonald (Musician / Software Architect)
> > Blue Roof Music / High North Inc
> > PO Box 221  Grand Marais, MI  49839
> > phone: +1-906-494-2434
> > email: [email-masked]
> > 
> > --------------------------------------------------------------
> > ----------
> > 
> > (1) PrtCoverStatusTC - add
> >         unknown(2),          -- Not in RFC 1759
> > 
> > (2) PrtChannelTypeTC - add
> >         unknown(2),          -- Not in RFC 1759
> > 
> > (3) PrtAlertGroupTC - delete
> > 
> > (4) PrtAlertGroupTC - add
> >         unknown(2),          -- Not in RFC 1759
> >         -- (2) is reserved for conformance information
> > 
>